Welcome!

Join our community of MMO enthusiasts and game developers! By registering, you'll gain access to discussions on the latest developments in MMO server files and collaborate with like-minded individuals. Join us today and unlock the potential of MMO server development!

Join Today!

Problem starting cabal server

Newbie Spellweaver
Joined
Aug 19, 2008
Messages
15
Reaction score
0
Hello,
I've got problem and i cant start cabal server :/
using:
CentOS 4.5
VmWare
MsSql database 2000
Win Vista ultimate 32bit

Virtual device iP local ip : 192.168.112.1
Windows device ip: 213.161.1.6

I think i've setted up all ini files well.
but i'm not sure.
for installing i've folowed vid tut made by "M"

here is log:

Code:
[Wed Aug 20 2008 05:03:32.195186 3086448320]: try connect 127.0.0.1:38180, Sync
[Wed Aug 20 2008 05:03:32.195449 3086448320]: sock -1 ->LinkHandler close
[Wed Aug 20 2008 05:03:32.195493 3086448320]: [##ERROR##] connect 127.0.0.1:38180 fail
[Wed Aug 20 2008 05:03:32.195513 3086448320]: [##ERROR##] Link(): link open fail, Exit
[Wed Aug 20 2008 05:03:32.195562 3086448320]: [##ERROR##] active fail
[Wed Aug 20 2008 05:03:32.198722 3086044064]: CProcessLayer(0)::svc Start [3086044064]
[Wed Aug 20 2008 05:03:32.198782 3086044064]: CProcessLayer(0)::svc Terminated [3086044064]
[Wed Aug 20 2008 05:03:35.084049 3086739136]: open log file  '/var/log/cabal/GlobalMgrSvr.log'
[Wed Aug 20 2008 05:03:35.084120 3086739136]: LOG LEVEL: 3
[Wed Aug 20 2008 05:03:35.084413 3086739136]: Start GlobalMgrSvr Server
[Wed Aug 20 2008 05:03:35.085216 3086739136]: try connect 127.0.0.1:38180, Sync
[Wed Aug 20 2008 05:03:35.085468 3086739136]: sock -1 ->LinkHandler close
[Wed Aug 20 2008 05:03:35.085513 3086739136]: [##ERROR##] connect 127.0.0.1:38180 fail
[Wed Aug 20 2008 05:03:35.085534 3086739136]: [##ERROR##] Link(): link open fail, Exit
[Wed Aug 20 2008 05:03:35.085591 3086739136]: [##ERROR##] active fail
[Wed Aug 20 2008 05:03:35.089077 3086334880]: CProcessLayer(0)::svc Start [3086334880]
[Wed Aug 20 2008 05:03:35.089139 3086334880]: CProcessLayer(0)::svc Terminated [3086334880]
[Wed Aug 20 2008 05:03:36.426141 3086464704]: open log file  '/var/log/cabal/GlobalMgrSvr.log'
[Wed Aug 20 2008 05:03:36.426208 3086464704]: LOG LEVEL: 3
[Wed Aug 20 2008 05:03:36.426483 3086464704]: Start GlobalMgrSvr Server
[Wed Aug 20 2008 05:03:36.427147 3086464704]: try connect 127.0.0.1:38180, Sync
[Wed Aug 20 2008 05:03:36.427414 3086464704]: sock -1 ->LinkHandler close
[Wed Aug 20 2008 05:03:36.427459 3086464704]: [##ERROR##] connect 127.0.0.1:38180 fail
[Wed Aug 20 2008 05:03:36.427480 3086464704]: [##ERROR##] Link(): link open fail, Exit
[Wed Aug 20 2008 05:03:36.427527 3086464704]: [##ERROR##] active fail
[Wed Aug 20 2008 05:03:36.431274 3086060448]: CProcessLayer(0)::svc Start [3086060448]
[Wed Aug 20 2008 05:03:36.431342 3086060448]: CProcessLayer(0)::svc Terminated [3086060448]


Thans in advance
 
The Dinosaur
Loyal Member
Joined
Jun 29, 2008
Messages
5,028
Reaction score
999
The server is failing to connect to the globaldbagent even on 127.0.0.1 so the GBD has probably crashed, i can't tell fromt hat log though. Can you post the other logs or maybe the configs?
 
Upvote 0
Newbie Spellweaver
Joined
Aug 19, 2008
Messages
15
Reaction score
0
well :p i could but i got new problems xD.

This time i'm trying to install server files on dedi server

errors made by pitty:
warning: lm_sensors-2.8.7-2.40.3.i386.rpm: Header V3 DSA signature: NOKEY, key ID 443e1821
error: Failed dependencies:
kernel-utils is needed by lm_sensors-2.8.7-2.40.3.i386
Preparing... ########################################### [100%]
package ncftp-3.1.9-1 is already installed
warning: net-snmp-5.1.2-11.EL4.7.i386.rpm: Header V3 DSA signature: NOKEY, key ID 443e1821
error: Failed dependencies:
libcrypto.so.4 is needed by net-snmp-5.1.2-11.EL4.7.i386
libnetsnmp.so.5 is needed by net-snmp-5.1.2-11.EL4.7.i386
libnetsnmpagent.so.5 is needed by net-snmp-5.1.2-11.EL4.7.i386
libnetsnmphelpers.so.5 is needed by net-snmp-5.1.2-11.EL4.7.i386
libnetsnmpmibs.so.5 is needed by net-snmp-5.1.2-11.EL4.7.i386
libnetsnmptrapd.so.5 is needed by net-snmp-5.1.2-11.EL4.7.i386
librpm-4.3.so is needed by net-snmp-5.1.2-11.EL4.7.i386
librpmdb-4.3.so is needed by net-snmp-5.1.2-11.EL4.7.i386
librpmio-4.3.so is needed by net-snmp-5.1.2-11.EL4.7.i386
warning: dstat-0.6.3-1.rh9.rf.noarch.rpm: Header V3 DSA signature: NOKEY, key ID 6b8d79e6
Preparing... ########################################### [100%]
package dstat-0.6.3-1.rh9.rf is already installed
warning: unixODBC-2.2.11-1.RHEL4.1.i386.rpm: Header V3 DSA signature: NOKEY, key ID 443e1821
error: Failed dependencies:
libreadline.so.4 is needed by unixODBC-2.2.11-1.RHEL4.1.i386
warning: unixODBC-devel-2.2.11-1.RHEL4.1.i386.rpm: Header V3 DSA signature: NOKEY, key ID 443e1821
error: Failed dependencies:
unixODBC = 2.2.11-1.RHEL4.1 is needed by unixODBC-devel-2.2.11-1.RHEL4.1.i386
warning: unixODBC-kde-2.2.11-1.RHEL4.1.i386.rpm: Header V3 DSA signature: NOKEY, key ID 443e1821
error: Failed dependencies:
unixODBC = 2.2.11-1.RHEL4.1 is needed by unixODBC-kde-2.2.11-1.RHEL4.1.i386
Preparing... ########################################### [100%]
package freetds-unixodbc-0.64RC3-1 is already installed
error: Failed dependencies:
libcrypto.so.4 is needed by cabal-chnserverCB-1.0-2.i386
libssl.so.4 is needed by cabal-chnserverCB-1.0-2.i386
[root@r1k5s9 ~]#

Any ideas why hes doing this to me :S ?
By the way, I'm using ur installer chumpywumpy :p
 
Upvote 0
Newbie Spellweaver
Joined
Aug 19, 2008
Messages
15
Reaction score
0
I'll post them in hrs if u dont mind :p
I'll try to install cabal server with your package this time ( on home server ).

But can you help me about dedicated server please ^^.
I have no idea why i cant install it, I've tried to install more packages but doesnt help.

And by the way how can i remove installed stuff ?
So i would try to reinstall.

Thanks in advance !
 
Last edited:
Upvote 0
Newbie Spellweaver
Joined
Aug 19, 2008
Messages
15
Reaction score
0
Weird heppening here !
I've installed all all over, when i wrote "service cabal start" it worked.
Now after i used ur config installider, it doesnt work.

error: cabal: unrecognized service
 
Upvote 0
The Dinosaur
Loyal Member
Joined
Jun 29, 2008
Messages
5,028
Reaction score
999
For the dedicated server the install completely failed as it is missing a lot of dependencies. I have seen an almost identical post today by someone with centos 5, is that what your dedicated server has?

As for the other machine if it told you that cabal was an unrecognized service then something went very wrong during install there too as copying the Stage2 folder should have put a service in place and the only thing that can stop that is a permissions problem or copying to the wrong folder.

Check /etc/rc.d/init.d/ and make sure there are files in there called "cabal", "cabal server" and "functions". If not then there is the problem, if there is then set the permissions to 0777 on all 3 using the chmod command. Permissions problems like that should not happen if you ran gen_confg2.sh in /home/cabal/ though (do NOT run gen_config.sh with my pack!).

I am testing centos 5 in a minute so i might have more ideas about the dedicated server later tonight.
 
Upvote 0
Newbie Spellweaver
Joined
Aug 19, 2008
Messages
15
Reaction score
0
Yes i'm using CENTOS 5.
Its possible that it was foult of permissions, i copied files 100% right. as your readme says :D.

I'll check about that u said. and thanks for your time :)
I hope you'll get it working and post me what to doo xD :)
 
Upvote 0
The Dinosaur
Loyal Member
Joined
Jun 29, 2008
Messages
5,028
Reaction score
999
I have just updated the other topic about centos 5. I installed it from the full DVD with a default install and get the same, it is missing lots. I spent a bit of time trying to install different libs and packages to get it working but it isn't going to be nearly as easy as 4.6, that just works even on a minimal install :/
 
Upvote 0
Newbie Spellweaver
Joined
Aug 19, 2008
Messages
15
Reaction score
0
though so. so your suggestion is to install centos 4.6 or you'll do more tests on it ?

P.S.: What do you think about CentOS 4.5 ?
 
Upvote 0
The Dinosaur
Loyal Member
Joined
Jun 29, 2008
Messages
5,028
Reaction score
999
It seems like a lot of effort when i know 4.6 works perfectly really. For the sake of making your life easy i would go 4.6 anyway, 4.5 should be fine too.
 
Upvote 0
Newbie Spellweaver
Joined
Aug 19, 2008
Messages
15
Reaction score
0
ok chumpywumpy rly thanks so far =)
Becouse my server hosers support only 4.2, 4.3, 4.5, 5 and 5.1 versions i'll go 4.5
If 'll have any more problems may i ask you ^^ ?

Thanks for your time.
 
Upvote 0
Newbie Spellweaver
Joined
Aug 19, 2008
Messages
15
Reaction score
0
Hello I got new problem:

Code:
[Mon Sep 15 2008 22:52:45.060920 25136016]: ChannelType changed(0 -> 1)
[Mon Sep 15 2008 22:52:46.703159 25136016]: [##ERROR##] OnResultItems(): ItemNum(0)
ACE_ASSERT: file WorldMgr.cpp, line 371 assertion failed for '0'.Aborting..




any ideas ? this log is from "WorldSvr_24_01.log"
 
Upvote 0
Back
Top